server {
    listen       10880;
listen 80;
    listen       [::]:10880;
    server_name  yapi.site.sailforce.online;
    root         /var/www/html;

    client_max_body_size 50m;
    # Load configuration files for the default server block.
    location / {
       proxy_pass   http://10.242.53.189:8301;
       proxy_connect_timeout 6000s;
       proxy_read_timeout 3600s;
       proxy_send_timeout 6000s;
       proxy_set_header   Host             $host:$server_port;
       proxy_set_header   X-Real-IP        $remote_addr;
       proxy_set_header   X-Forwarded-For  $proxy_add_x_forwarded_for;
       proxy_buffer_size 64k;
       proxy_buffers 4 32k;
       proxy_busy_buffers_size 64k;
       proxy_temp_file_write_size 64k;
    }
    
    error_page 404 /404.html;
        location = /40x.html {
    }

    error_page 500 502 503 504 /50x.html;
        location = /50x.html {
    }

}


